- Qt 6.8
- Qt GUI
- C++ Classes
- QPointingDeviceUniqueId
- Qt 6.8.3 Reference Documentation

# QPointingDeviceUniqueId Class

QPointingDeviceUniqueId identifies a unique object, such as a tagged token or stylus, which is used with a pointing device. More...

Header: | `#include <QPointingDeviceUniqueId>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`

- List of all members, including inherited members
- QPointingDeviceUniqueId is part of Event Classes.

## Properties

- numericId : const qint64

## Public Functions

| QPointingDeviceUniqueId()
bool | isValid() const
qint64 | numericId() const

## Static Public Members

QPointingDeviceUniqueId | fromNumericId(qint64 id)

## Related Non-Members

size_t | qHash(QPointingDeviceUniqueId key, size_t seed = 0)
bool | operator!=(QPointingDeviceUniqueId lhs, QPointingDeviceUniqueId rhs)
bool | operator==(QPointingDeviceUniqueId lhs, QPointingDeviceUniqueId rhs)

## Detailed Description

QPointingDeviceUniqueIds can be compared for equality, and can be used as keys in a QHash. You get access to the numerical ID via numericId(), if the device supports such IDs. For future extensions, though, you should not use that function, but compare objects of this type using the equality operator.

This class is a thin wrapper around an integer ID. You pass it into and out of functions by value.

See also QEventPoint.

## Property Documentation

### `[read-only]` numericId : const qint64

This property holds the numeric unique ID of the token represented by a touchpoint

If the device provides a numeric ID, isValid() returns true, and this property provides the numeric ID; otherwise it is -1.

You should not use the value of this property in portable code, but instead rely on equality to identify pointers.

Access functions:

qint64 | numericId() const

See also isValid().

## Member Function Documentation

### `[constexpr noexcept]` QPointingDeviceUniqueId::QPointingDeviceUniqueId()

Constructs an invalid unique pointer ID.

### `[static]` QPointingDeviceUniqueId QPointingDeviceUniqueId::fromNumericId(qint64 id)

Constructs a unique pointer ID from numeric ID id.

### `[constexpr noexcept]` bool QPointingDeviceUniqueId::isValid() const

Returns whether this unique pointer ID is valid, that is, it represents an actual pointer.

## Related Non-Members

### `[noexcept]` size_t qHash(QPointingDeviceUniqueId key, size_t seed = 0)

Returns the hash value for key, using seed to seed the calculation.

### `[noexcept]` bool operator!=(QPointingDeviceUniqueId lhs, QPointingDeviceUniqueId rhs)

Returns whether the two unique pointer IDs lhs and rhs identify different pointers (`true`) or not (`false`).

### `[noexcept]` bool operator==(QPointingDeviceUniqueId lhs, QPointingDeviceUniqueId rhs)

Returns whether the two unique pointer IDs lhs and rhs identify the same pointer (`true`) or not (`false`).